POST api/v1/create_webpage

Request Information

URI Parameters

None.

Body Parameters

WebPage
NameDescriptionTypeAdditional information
web_page_id

integer

None.

web_page_name

string

None.

web_page_url

string

None.

short_description

string

None.

long_description

string

None.

created_on

date

None.

created_by

integer

None.

updated_on

date

None.

updated_by

integer

None.

is_active

boolean

None.

is_logical_deleted

boolean

None.

Request Formats

application/json, text/json

Sample:
{
  "web_page_id": 1,
  "web_page_name": "sample string 2",
  "web_page_url": "sample string 3",
  "short_description": "sample string 4",
  "long_description": "sample string 5",
  "created_on": "2026-03-23T01:52:56.4026899+00:00",
  "created_by": 1,
  "updated_on": "2026-03-23T01:52:56.4026899+00:00",
  "updated_by": 1,
  "is_active": true,
  "is_logical_deleted": true
}

text/html

Sample:
{"$id":"1","web_page_id":1,"web_page_name":"sample string 2","web_page_url":"sample string 3","short_description":"sample string 4","long_description":"sample string 5","created_on":"2026-03-23T01:52:56.4026899+00:00","created_by":1,"updated_on":"2026-03-23T01:52:56.4026899+00:00","updated_by":1,"is_active":true,"is_logical_deleted":true}

application/xml, text/xml

Sample:
<WebPage xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BellaArmorAPI.Models">
  <created_by>1</created_by>
  <created_on>2026-03-23T01:52:56.4026899+00:00</created_on>
  <is_active>true</is_active>
  <is_logical_deleted>true</is_logical_deleted>
  <long_description>sample string 5</long_description>
  <short_description>sample string 4</short_description>
  <updated_by>1</updated_by>
  <updated_on>2026-03-23T01:52:56.4026899+00:00</updated_on>
  <web_page_id>1</web_page_id>
  <web_page_name>sample string 2</web_page_name>
  <web_page_url>sample string 3</web_page_url>
</WebPage>

multipart/form-data

Sample:
<WebPage xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BellaArmorAPI.Models"><created_by>1</created_by><created_on>2026-03-23T01:52:56.4026899+00:00</created_on><is_active>true</is_active><is_logical_deleted>true</is_logical_deleted><long_description>sample string 5</long_description><short_description>sample string 4</short_description><updated_by>1</updated_by><updated_on>2026-03-23T01:52:56.4026899+00:00</updated_on><web_page_id>1</web_page_id><web_page_name>sample string 2</web_page_name><web_page_url>sample string 3</web_page_url></WebPage>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'WebPage'.

Response Information

Resource Description

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

Version

None.

Content

HttpContent

None.

StatusCode

HttpStatusCode

None.

ReasonPhrase

string

None.

Headers

Collection of Object

None.

RequestMessage

HttpRequestMessage

None.

IsSuccessStatusCode

boolean

None.